Get Pnl
Holdings
Fetch current PnL by Wallet
Get the PnL for a given wallet address.
POST
Get Pnl
This endpoint provides current PnL metrics for wallet addresses, including unrealized PnL, realized PnL, average cost, current balance, and current USD balance.Documentation Index
Fetch the complete documentation index at: https://docs.allium.so/llms.txt
Use this file to discover all available pages before exploring further.
Supported Chains
Authorizations
Query Parameters
Minimum liquidity of which tokens must have to be included in the response.
Body
application/json
Response
Successful Response
Single item response data of type T
- PnlByWallet
- PnlError
Example:
{
"items": [
{
"address": "125Z6k4ZAxsgdG7JxrKZpwbcS1rxqpAeqM9GSCKd66Wp",
"chain": "solana",
"tokens": [
{
"attributes": {
"total_liquidity_usd": { "details": "LIQUIDITY_TOO_HIGH" }
},
"average_cost": {
"amount": "127.643159342305505704",
"currency": "USD"
},
"current_balance": {
"amount": "1831.966741963714540927",
"currency": "USD"
},
"current_price": {
"amount": "90.881678182871411309",
"currency": "USD"
},
"raw_balance": "20.157712518",
"realized_pnl": {
"amount": "-102.802362175169957013",
"currency": "USD"
},
"token_address": "So11111111111111111111111111111111111111112",
"unrealized_pnl": {
"amount": "-741.027368947745798389",
"currency": "USD"
},
"unrealized_pnl_ratio_change": -0.28800196852578236
}
],
"total_balance": {
"amount": "1831.966741963714540927",
"currency": "USD"
},
"total_realized_pnl": {
"amount": "-102.802362175169957013",
"currency": "USD"
},
"total_unrealized_pnl": {
"amount": "-741.027368947745798389",
"currency": "USD"
},
"total_unrealized_pnl_ratio_change": -0.28800196852578236
}
]
}Response items of type T
- PnlByWallet
- PnlError
Example:
{
"items": [
{
"address": "125Z6k4ZAxsgdG7JxrKZpwbcS1rxqpAeqM9GSCKd66Wp",
"chain": "solana",
"tokens": [
{
"attributes": {
"total_liquidity_usd": { "details": "LIQUIDITY_TOO_HIGH" }
},
"average_cost": {
"amount": "127.643159342305505704",
"currency": "USD"
},
"current_balance": {
"amount": "1831.966741963714540927",
"currency": "USD"
},
"current_price": {
"amount": "90.881678182871411309",
"currency": "USD"
},
"raw_balance": "20.157712518",
"realized_pnl": {
"amount": "-102.802362175169957013",
"currency": "USD"
},
"token_address": "So11111111111111111111111111111111111111112",
"unrealized_pnl": {
"amount": "-741.027368947745798389",
"currency": "USD"
},
"unrealized_pnl_ratio_change": -0.28800196852578236
}
],
"total_balance": {
"amount": "1831.966741963714540927",
"currency": "USD"
},
"total_realized_pnl": {
"amount": "-102.802362175169957013",
"currency": "USD"
},
"total_unrealized_pnl": {
"amount": "-741.027368947745798389",
"currency": "USD"
},
"total_unrealized_pnl_ratio_change": -0.28800196852578236
}
]
}Error message
Pagination cursor for next page